Woocommerce developers have eliminated a major vulnerability in the plugin.

At the end of September 2021, a new version of WooCommerce (5.7.1) appeared on the market. An update was initially perceived as a minor update. However, immediately after the development team made a statement that previous versions of the plugin with a certain server or hosting configuration may have a vulnerability that allows attackers to gain access to the store’s analytical reports. At the moment, the vulnerability has been eliminated, and for those who are not ready to upgrade to the latest version, they have created a post describing the process of checking your website for possible leaks.